import "./index.scss";
import { CheckBoxItemModel } from "../../../models/form";
import BaseFormConfigItem from "../base-form-config-item";
export default class CheckboxConfig extends BaseFormConfigItem {
    data: CheckBoxItemModel;
    dataSourceTypes: Array<any>;
    onDeleteOption(index: number): void;
    onAddOption(): void;
    onCheckOption(option: any): void;
    onChangeDataSource(): void;
    valueChange(): void;
}
